program shift_wavelet

use sep

implicit none

integer :: ix,n1,temp,sign
integer,dimension(1)			:: min_x
real	:: o1,d1
real,allocatable,dimension(:)	:: in_data,out_data

call sep_init()

call from_history("n1",n1)
call from_history("o1",o1)
call from_history("d1",d1)

call from_param("sign",sign,-1)

allocate(in_data(n1))
allocate(out_data(n1))

in_data=0
out_data=0

call sep_read(in_data)

! if (sign.eq.1) then
! 	min_x=maxloc(in_data)
! else if (sign.eq.-1) then
! 	min_x=minloc(in_data)
! else if (sign.eq.0) then
! 	min_x=0
! endif
! temp =min_x(1) - 1

temp=26

do ix=1,n1
	if((ix+temp).lt.n1) out_data(ix)=in_data(ix+temp)
enddo

call to_history("n1",n1)
call to_history("o1",o1)
call to_history("d1",d1)

call sep_write(out_data)

call sep_close()

end program